Subject: Re: [PATCH] net: netfilter: Replace explicit NULL comparisons

From: Pablo Neira Ayuso <[email-masked]>
Date: Sat, 8 Apr 2017 22:14:38 +0200

On Sat, Apr 08, 2017 at 08:21:56PM +0200, Jan Engelhardt wrote:
> On Saturday 2017-04-08 19:21, Arushi Singhal wrote:
> 
> >Replace explicit NULL comparison with ! operator to simplify code.
> 
> I still wouldn't do this, for the same reason as before. Comparing to 
> NULL explicitly more or less gave an extra guarantee that the other 
> operand was also a pointer.

Arushi, where does it say in the coding style that this is prefered?